@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
datetime.h File Reference
`#include "pico.h"`
`#include <time.h>`
`#include <sys/time.h>`
Include dependency graph for datetime.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

uint64_t | timespec_to_ms (const struct timespec *ts)
uint64_t | timespec_to_us (const struct timespec *ts)
void | ms_to_timespec (uint64_t ms, struct timespec *ts)
void | us_to_timespec (uint64_t ms, struct timespec *ts)
struct tm * | pico_localtime_r (const time_t *time, struct tm *tm)
| localtime_r implementation for use by the pico_util datetime functions
time_t | pico_mktime (struct tm *tm)
| mktime implementation for use by the pico_util datetime functions